Chat Completion with Function Call
curl --request POST \
--url https://api.duplik.cn/v1/spaces/completions/{space_id}/function \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"function": {},
"user_message": "<string>",
"model_name": "<string>",
"max_tokens": 123,
"system_message": "<string>"
}
'import requests
url = "https://api.duplik.cn/v1/spaces/completions/{space_id}/function"
payload = {
"function": {},
"user_message": "<string>",
"model_name": "<string>",
"max_tokens": 123,
"system_message": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
function: {},
user_message: '<string>',
model_name: '<string>',
max_tokens: 123,
system_message: '<string>'
})
};
fetch('https://api.duplik.cn/v1/spaces/completions/{space_id}/function', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"arguments": {}
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}应用
Chat Completion with Function Call
基于应用级别的 Function Call 调用
POST
/
v1
/
spaces
/
completions
/
{space_id}
/
function
Chat Completion with Function Call
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
⌘I
